body {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Noto Sans", Ubuntu, Cantarell, "Helvetica Neue", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    color: #2e2e2e;
}

.content-wrapper {
    padding-bottom: 100px;
    width: 100%;
    transition: padding 0.3s;
    margin: 0 auto;
}

.content-wrapper .container-fluid {
    padding: 0 16px;
    padding-top: 40px;
    margin: 0 auto;
}

.container-fluid {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

.container-limited {
    max-width: 1280px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 600;
    line-height: 1.2;
}

h3 {
    margin-top: 20px;
    margin-bottom: 0.25rem;
    font-size: 1.75rem;
}

h3 {
    margin-top: 20px;
    margin-bottom: 0.25rem;
    font-size: 1.53125rem;
}

h3 span img {
    margin-bottom: 5px;
    margin-left: 3px;
}

h3 span img:hover {
    cursor: pointer;
}

h4 {
    margin-bottom: 1rem !important;
    margin-top: 1rem !important;
    display: block;
    font-size: 1.3125rem;
    margin-block-start: 1.33em;
    margin-block-end: 1.33em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

hr {
    display: block;
    unicode-bidi: isolate;
    margin-block-start: 0.5em;
    margin-block-end: 0.5em;
    margin-inline-start: auto;
    margin-inline-end: auto;
    box-sizing: content-box;
    height: 0;
    border: 0;
    overflow: hidden;
    margin: 24px 0;
    border-top: 1px solid #e1e1e1;
    clear: both;
}

.dropdown-toggle {
    padding: 6px 8px 6px 10px;
    background-color: #fff;
    color: #2e2e2e;
    font-size: 14px;
    text-align: left;
    border: 1px solid #e5e5e5;
    border-radius: 3px;
    white-space: nowrap;
}

button.btn,
.project-buttons .stat-text {
    border-radius: 4px;
    font-size: 0.875rem;
    font-weight: 400;
    padding: 6px 10px;
    background-color: #fff;
    border-color: #e5e5e5;
    color: #2e2e2e;
    color: #2e2e2e;
    white-space: nowrap;
}

button.btn,
.project-buttons .stat-text {
    transition: background-color 100ms linear, border-color 100ms linear, color 100ms linear, box-shadow 100ms linear;
}

.text-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

button.btn:focus,
.project-buttons .stat-text:focus,
button.btn:active,
.project-buttons .stat-text:active {
    background-color: #ececec;
    box-shadow: none;
}

.dropdown-menu li>a:not(.disable-hover):hover,
.dropdown-menu .participants-more li>.btn-link:not(.disable-hover):hover,
.participants-more .dropdown-menu li>.btn-link:not(.disable-hover):hover,
.dropdown-menu .participants-more .right-sidebar .title li>.confidential-edit:not(.disable-hover):hover,
.participants-more .right-sidebar .title .dropdown-menu li>.confidential-edit:not(.disable-hover):hover,
.dropdown-menu .right-sidebar .title .participants-more li>.confidential-edit:not(.disable-hover):hover,
.right-sidebar .title .participants-more .dropdown-menu li>.confidential-edit:not(.disable-hover):hover,
.dropdown-menu .participants-more .right-sidebar .title li>.lock-edit:not(.disable-hover):hover,
.participants-more .right-sidebar .title .dropdown-menu li>.lock-edit:not(.disable-hover):hover,
.dropdown-menu .right-sidebar .title .participants-more li>.lock-edit:not(.disable-hover):hover,
.right-sidebar .title .participants-more .dropdown-menu li>.lock-edit:not(.disable-hover):hover,
.dropdown-menu .participants-more .right-sidebar .title li>.edit-link:not(.disable-hover):hover,
.participants-more .right-sidebar .title .dropdown-menu li>.edit-link:not(.disable-hover):hover,
.dropdown-menu .right-sidebar .title .participants-more li>.edit-link:not(.disable-hover):hover,
.right-sidebar .title .participants-more .dropdown-menu li>.edit-link:not(.disable-hover):hover,
.dropdown-menu .user-list-more li>.btn-link:not(.disable-hover):hover,
.user-list-more .dropdown-menu li>.btn-link:not(.disable-hover):hover,
.dropdown-menu .user-list-more .right-sidebar .title li>.confidential-edit:not(.disable-hover):hover,
.user-list-more .right-sidebar .title .dropdown-menu li>.confidential-edit:not(.disable-hover):hover,
.dropdown-menu .right-sidebar .title .user-list-more li>.confidential-edit:not(.disable-hover):hover,
.right-sidebar .title .user-list-more .dropdown-menu li>.confidential-edit:not(.disable-hover):hover,
.dropdown-menu .user-list-more .right-sidebar .title li>.lock-edit:not(.disable-hover):hover,
.user-list-more .right-sidebar .title .dropdown-menu li>.lock-edit:not(.disable-hover):hover,
.dropdown-menu .right-sidebar .title .user-list-more li>.lock-edit:not(.disable-hover):hover,
.right-sidebar .title .user-list-more .dropdown-menu li>.lock-edit:not(.disable-hover):hover,
.dropdown-menu .user-list-more .right-sidebar .title li>.edit-link:not(.disable-hover):hover,
.user-list-more .right-sidebar .title .dropdown-menu li>.edit-link:not(.disable-hover):hover,
.dropdown-menu .right-sidebar .title .user-list-more li>.edit-link:not(.disable-hover):hover,
.right-sidebar .title .user-list-more .dropdown-menu li>.edit-link:not(.disable-hover):hover,
.dropdown-menu li>a:active,
.dropdown-menu li>a:focus,
.dropdown-menu li>a.is-focused,
.dropdown-menu li button:not(.disable-hover):hover,
.dropdown-menu li button:active,
.dropdown-menu li button:focus,
.dropdown-menu li button.is-focused,
.dropdown-menu li .menu-item:not(.disable-hover):hover,
.dropdown-menu li .menu-item:active,
.dropdown-menu li .menu-item:focus,
.dropdown-menu li .menu-item.is-focused,
.dropdown-menu-nav li>a:not(.disable-hover):hover,
.dropdown-menu-nav .participants-more li>.btn-link:not(.disable-hover):hover,
.participants-more .dropdown-menu-nav li>.btn-link:not(.disable-hover):hover,
.dropdown-menu-nav .participants-more .right-sidebar .title li>.confidential-edit:not(.disable-hover):hover,
.participants-more .right-sidebar .title .dropdown-menu-nav li>.confidential-edit:not(.disable-hover):hover,
.dropdown-menu-nav .right-sidebar .title .participants-more li>.confidential-edit:not(.disable-hover):hover,
.right-sidebar .title .participants-more .dropdown-menu-nav li>.confidential-edit:not(.disable-hover):hover,
.dropdown-menu-nav .participants-more .right-sidebar .title li>.lock-edit:not(.disable-hover):hover,
.participants-more .right-sidebar .title .dropdown-menu-nav li>.lock-edit:not(.disable-hover):hover,
.dropdown-menu-nav .right-sidebar .title .participants-more li>.lock-edit:not(.disable-hover):hover,
.right-sidebar .title .participants-more .dropdown-menu-nav li>.lock-edit:not(.disable-hover):hover,
.dropdown-menu-nav .participants-more .right-sidebar .title li>.edit-link:not(.disable-hover):hover,
.participants-more .right-sidebar .title .dropdown-menu-nav li>.edit-link:not(.disable-hover):hover,
.dropdown-menu-nav .right-sidebar .title .participants-more li>.edit-link:not(.disable-hover):hover,
.right-sidebar .title .participants-more .dropdown-menu-nav li>.edit-link:not(.disable-hover):hover,
.dropdown-menu-nav .user-list-more li>.btn-link:not(.disable-hover):hover,
.user-list-more .dropdown-menu-nav li>.btn-link:not(.disable-hover):hover,
.dropdown-menu-nav .user-list-more .right-sidebar .title li>.confidential-edit:not(.disable-hover):hover,
.user-list-more .right-sidebar .title .dropdown-menu-nav li>.confidential-edit:not(.disable-hover):hover,
.dropdown-menu-nav .right-sidebar .title .user-list-more li>.confidential-edit:not(.disable-hover):hover,
.right-sidebar .title .user-list-more .dropdown-menu-nav li>.confidential-edit:not(.disable-hover):hover,
.dropdown-menu-nav .user-list-more .right-sidebar .title li>.lock-edit:not(.disable-hover):hover,
.user-list-more .right-sidebar .title .dropdown-menu-nav li>.lock-edit:not(.disable-hover):hover,
.dropdown-menu-nav .right-sidebar .title .user-list-more li>.lock-edit:not(.disable-hover):hover,
.right-sidebar .title .user-list-more .dropdown-menu-nav li>.lock-edit:not(.disable-hover):hover,
.dropdown-menu-nav .user-list-more .right-sidebar .title li>.edit-link:not(.disable-hover):hover,
.user-list-more .right-sidebar .title .dropdown-menu-nav li>.edit-link:not(.disable-hover):hover,
.dropdown-menu-nav .right-sidebar .title .user-list-more li>.edit-link:not(.disable-hover):hover,
.right-sidebar .title .user-list-more .dropdown-menu-nav li>.edit-link:not(.disable-hover):hover,
.dropdown-menu-nav li>a:active,
.dropdown-menu-nav li>a:focus,
.dropdown-menu-nav li>a.is-focused,
.dropdown-menu-nav li button:not(.disable-hover):hover,
.dropdown-menu-nav li button:active,
.dropdown-menu-nav li button:focus,
.dropdown-menu-nav li button.is-focused,
.dropdown-menu-nav li .menu-item:not(.disable-hover):hover,
.dropdown-menu-nav li .menu-item:active,
.dropdown-menu-nav li .menu-item:focus,
.dropdown-menu-nav li .menu-item.is-focused {
    background-color: #eee;
    color: #2e2e2e;
    outline: 0;
    text-decoration: none;
}

.dropdown-item:not(.disable-hover):hover,
.dropdown-item:active,
.dropdown-item:focus,
.dropdown-item.is-focused {
    background-color: #eee;
    color: #2e2e2e;
    outline: 0;
    text-decoration: none;
}

.dropdown-item:not(.disable-hover):hover,
.dropdown-item:active,
.dropdown-item:focus,
.dropdown-item.is-focused {
    background-color: #dbdbdb;
    text-decoration: none;
    color: #2e2e2e;
    outline: 0;
}

.dropdown-item:hover,
.dropdown-item:focus {
    color: #212121;
    text-decoration: none;
    background-color: #dbdbdb;
}

.col-form-label {
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1rem;
    padding-top: 0;
    padding-bottom: 0.5rem;
}

.form-item {
    float: left;
    margin-right: 30px;
}

.form-group {
    margin-bottom: 20px;
}

.clear {
    clear: both;
}

.policyname {
    width: 450px;
    height: 35px;
}

.policydescription {
    width: 690px;
    height: 75px;
}

.form-control {
    font-size: .875rem;
}

.form-control:focus {
    outline: 0;
    border-color: #73afea;
    box-shadow: 0 0 4px rgba(115, 175, 234, 0.4);
}

.toggle.gitlab,
.toggle.gitlab .toggle-on,
.toggle.gitlab .toggle-off {
    border-radius: .75rem;
}

.toggle.gitlab {
    margin-left: 20px;
    min-height: 24px;
}

.toggle.gitlab .toggle-off {
    background-color: #868686;
    left: calc(50% - 12px);
}

.toggle.gitlab .toggle-on {
    background-color: #1f75cb;
}

.toggle.gitlab .toggle-group {
    left: -12px;
}

.toggle.gitlab.off .toggle-group {
    left: calc(-100% + 12px);
}

.toggle.gitlab .toggle-handle {
    border-radius: 50%;
    background-color: #fff;
    width: 24px;
    height: 24px;
    top: -1px;
    border: solid 2px #1f75cb;
}

.toggle.gitlab.off .toggle-handle {
    border: solid 2px #868686;
}

button.btn.editmode {
    border-width: 0;
    padding: .5rem .75rem;
    background-color: #fff;
    line-height: 1rem;
    color: #303030;
    box-shadow: inset 0 0 0 0.0625rem #868686;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: .875rem;
    border-radius: .25rem;
}

button.btn.editmode.pressed {
    background-color: #f0f0f0;
    box-shadow: inset 0 0 0 0.0625rem #868686, inset 0 0.0625rem 0.25rem 0.0625rem rgba(0, 0, 0, .2);
}

button.btn.editmodeleft {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
}

button.btn.editmoderight {
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.yamlmode {
    display: none;
    border: 1px solid #DBDBDB;
    position: relative;
    border-radius: 4px;
}

.ruleblock,
.actionblock {
    position: relative;
    margin-top: 1rem;
    margin-bottom: 1rem;
    padding: 1rem;
    padding-right: 44px;
    padding-left: 65px;
    padding-bottom: 0;
    background-color: #fafafa;
    border: solid 1px #e4e4e4;
    border-radius: 4px;
}

.rulejoiner {
    position: absolute;
    left: 1rem;
}

.ruleelement {
    line-height: 35px;
    float: left;
    margin-right: 10px;
    padding-bottom: 1rem;
    display: inline-flex;
}

.textboxelement {
    width: auto;
    padding-bottom: .375rem;
    margin-bottom: 1rem;
    height: 35px;
}

a {
    cursor: pointer;
}

.newrule,
.newaction {
    cursor: pointer;
}

.deleteicon {
    position: absolute;
    top: 10px;
    right: 20px;
    cursor: pointer;
}

.deleteicon:hover {
    color: #C00000;
}

.previewbox {
    overflow-x: auto;
    white-space: nowrap;
    border: 1px solid #d8d8d8;
}

.btn:disabled {
    opacity: 1;
    color: black;
    background-color: #fdfdfd;
    cursor: not-allowed;
}

.card {
    margin-top: 1rem;
}

.previewsection,
.previewrule {
    padding: 0px;
    border: 0px;
}

nav {
    border: none;
    color: #495057;
}

.nav-tabs,
.nav-tabs .nav-link {
    border: none;
}

.nav-tabs .nav-link:focus,
.nav-tabs .nav-link:hover {
    border: none;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active,
.nav-tabs .nav-link.active:hover,
.nav-tabs .nav-link.active:focus {
    color: #495057;
    background-color: initial;
    border: none;
    border-bottom: 2px solid #6666c4;
    font-weight: bold;
}

nav a {
    color: #495057;
    ;
}

nav a:hover {
    color: #495057;
}

.previewrule .previewcontent {
    white-space: initial;
}

.btn.btn-success {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}

.green {
    color: #008080;
}

.blue {
    color: #0451a5;
}

.row {
    width: 100%;
}

.actionusermin,
.actionusermax,
.actiongroupmin,
.actiongroupmax {
    width: 100px;
}

.actiontypehidden {
    display: none;
}

.yamldatablock {
    display: none;
}

.scanprofiledatablock {
    display: none;
}

.siteprofiledatablock {
    display: none;
}

.nav_main {
    height: 40px;
    width: 100%;
    background: #222261;
    position: fixed;
    display: flex;
    justify-content: space-between;
    padding: 0 15px 0 5px;
    z-index: 4;
}

.nav_main img {
    max-width: 519px;
}

div.leftnav {
    background: #FAFAFA;
    width: 50px;
    height: 100vh;
    border-right: 1px solid #DBDBDB;
    z-index: 1;
    position: fixed;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

div.leftnav img {
    width: 100%;
}

div.breakcrumb {
    padding: 16px 0 0 0;
    border-bottom: 1px solid #e1e1e1;
    color: #707070;
    font-size: 12px;
}

div.breakcrumb span:hover {
    text-decoration: underline;
    cursor: pointer;
}

div.breakcrumb span:nth-child(3) {
    color: #2e2e2e;
    font-weight: 700;
}

div.breakcrumb a {
    color: #707070;
}

/*
div.issue {
    width: 100%;
}
*/
div.issue img {
    width: 100%;
}

.yamltext {
    margin: 0px 1rem;
}

.yamleditor {
    position: absolute;
    background-color: transparent;
    top: 0px;
    padding: 0px 1rem;
}


.yamleditorcontent {
    border: 0px !important;
    outline: 0px !important;
    background-color: transparent;
    -webkit-text-fill-color:transparent;
}

.rulecount {
    width: 75px;
}

.addaction{
    border: 0 !important;
    outline: 0 !important;
    background-color: transparent !important;
    color: #007bff !important;
    cursor: pointer;
}

.addaction:hover {
    text-decoration: underline;
}

.mandatory .fa-trash {
    display: none;
}


div.leftnav .secmenu {
    width: 50px;
    height: 50px;
    background: transparent;
    position: absolute;
    left: 0px;
    top: 294px; }
    div.leftnav .secmenu:hover {
      background: rgba(48, 48, 48, 0.06);
      cursor: pointer; }

      div.leftnav .secmenu:hover + .secmenuitems {
        display: block; }

  div.leftnav .secmenuitems {
    background: white;
    position: absolute;
    left: 50px;
    top: 294px;
    display: none;
    -webkit-box-shadow: 2px 1px 5px 0px rgba(0, 0, 0, 0.35);
    -moz-box-shadow: 2px 1px 5px 0px rgba(0, 0, 0, 0.35);
    box-shadow: 2px 1px 5px 0px rgba(0, 0, 0, 0.35); }

    div.leftnav .secmenuitems:hover {
      display: block; }

    div.leftnav .secmenuitems ul  {
      padding: 0;
list-style-type: none;
      
}


    div.leftnav .secmenuitems ul li {
      padding: 8px 0px 8px 16px;
      width: 240px;
      cursor: pointer; 
list-style-type: none;
          list-style: none outside none;
          margin-left: 0;
}

      div.leftnav .secmenuitems ul li a {
        color: #303030;
        text-decoration: none; }

      div.leftnav .secmenuitems ul li:hover {
        background: rgba(48, 48, 48, 0.06); }

      div.leftnav .secmenuitems ul li:first-child {
        border-bottom: 1px solid lightgrey;
        font-weight: bold;
        padding: 16px 0 16px 16px;
        margin-bottom: 8px; }

.actionapprovalcount {
    width: 50px;
}

@media (min-width: 1200px) {
    .modal-lg {
        max-width: 1140px;
    }
}
.panel {
    margin-bottom: 20px;
    background-color: #fff;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
    box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
}

.panel-default {
    border-color: #ddd;
}

.panel-default>.panel-heading {
    color: #333;
    background-color: #f5f5f5;
    border-color: #ddd;
}
.panel-heading {
    padding: 10px 15px;
    border-bottom: 1px solid transparent;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

.panel-title {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 16px;
    color: inherit;
}

.panel-body {
    padding: 15px;
}

.table {
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
}

table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th {
    padding: 8px;
    line-height: 1.42857143;
    vertical-align: top;
    border: 0 !important;
    width: 500px;
}

.limit-width {
    max-width: 500px;
    margin-bottom: 20px;
}

.helpertext{
    margin-top: 0.25rem;
    color: #868686;
}

.editheader {
    width: 100%;
    padding: 8px 16px;
    
    background: #FAFAFA;
    border: 1px solid #DBDBDB;
    border-radius: 4px 4px 0px 0px;
}

.rulecontainer>div {
    padding: 20px;
    border: 1px solid #DBDBDB;
    border-left: 0px;
}

.rulecontainer>div:first-child {
    border-left: 1px solid #DBDBDB;
}

div.row {
    margin-left:0px;
    margin-right: 0px;
}

.rulecontainer>div.previewrulerow {
    padding: 0px;
    border: 0px;
}

.yamlblockbutton {
    padding-bottom: 0px;
    border: 1px solid #DBDBDB;
    border-radius: 4px;
    height: 35px;
    padding-top: 0px;
    cursor: pointer;
}

button.btn-primary {
    background-color: #0069d9;
    color:white
}

.previewsection .card:not(:last-of-type) {
    border-bottom: 1px solid #D8D8D8;
}

#yamlmode .card:not(:last-of-type) {
    border-bottom: 1px solid #D8D8D8;
}